﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager runat="server" ID="ScriptManager1" />
        <telerik:RadAjaxManager runat="server" ID="RadAjaxManager1">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadTabStrip1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadMultiPage1" />                        
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadTabStrip runat="server" ID="RadTabStrip1" MultiPageID="RadMultiPage1">
            <Tabs>
                <telerik:RadTab runat="server" Text="Tab1" Selected="true" PageViewID="RadPageView1" />
                <telerik:RadTab runat="server" Text="Tab2" PageViewID="RadPageView2" />
            </Tabs>
        </telerik:RadTabStrip>
        <telerik:RadMultiPage runat="server" ID="RadMultiPage1">
            <telerik:RadPageView runat="server" ID="RadPageView1" Selected="true">
                <telerik:RadListView runat="server" ID="RadListView1" AllowPaging="True" DataSourceID="LinqDataSource1"
                    Skin="Web20">                   
                    <EditItemTemplate>
                        <tr class="rlvIEdit">
                            <td colspan="4">
                                <table cellspacing="0" class="rlvEditTable">
                                    <tr>
                                        <td>
                                            <asp:Label ID="CategoryIDLabel2" runat="server" AssociatedControlID="CategoryIDTextBox"
                                                Text="CategoryID"></asp:Label>
                                        </td>
                                        <td>
                                            <telerik:RadNumericTextBox ID="CategoryIDTextBox" runat="server" DbValue='<%# Bind("CategoryID") %>'
                                                Skin="<%#Container.OwnerListView.Skin %>" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="CategoryNameLabel2" runat="server" AssociatedControlID="CategoryNameTextBox"
                                                Text="CategoryName"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="CategoryNameTextBox" runat="server" CssClass="rlvInput" Text='<%# Bind("CategoryName") %>' />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="DescriptionLabel2" runat="server" AssociatedControlID="DescriptionTextBox"
                                                Text="Description"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="DescriptionTextBox" runat="server" CssClass="rlvInput" Text='<%# Bind("Description") %>' />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <asp:Button ID="UpdateButton" runat="server" CommandName="Update" CssClass="rlvBUpdate"
                                                Text=" " />
                                            <asp:Button ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                                CssClass="rlvBCancel" Text=" " />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </EditItemTemplate>                    
                    <ItemTemplate>
                        <tr class="rlvI">
                            <td>
                                <asp:Button ID="SelectButton" runat="server" CommandName="Select" CssClass="rlvBSel"
                                    Text=" " />
                                <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" CssClass="rlvBDel"
                                    Text=" " />
                                <asp:Button ID="EditButton" runat="server" CommandName="Edit" CssClass="rlvBEdit"
                                    Text=" " />
                            </td>
                            <td>
                                <asp:Label ID="CategoryIDLabel" runat="server" Text='<%# Eval("CategoryID") %>' />
                            </td>
                            <td>
                                <asp:Label ID="CategoryNameLabel" runat="server" Text='<%# Eval("CategoryName") %>' />
                            </td>
                            <td>
                                <asp:Label ID="DescriptionLabel" runat="server" Text='<%# Eval("Description") %>' />
                            </td>
                        </tr>
                    </ItemTemplate>
                    <EmptyDataTemplate>
                        <div class="RadListView RadListView_Web20">
                            <div class="rlvEmpty">
                                There are no items to be displayed.</div>
                        </div>
                    </EmptyDataTemplate>
                    <LayoutTemplate>
                        <div class="RadListView RadListView_Web20">
                            <table cellspacing="0" style="width: 100%;">
                                <thead>
                                    <tr class="rlvHeader">
                                        <th>
                                            &nbsp;
                                        </th>
                                        <th>
                                            CategoryID
                                        </th>
                                        <th>
                                            CategoryName
                                        </th>
                                        <th>
                                            Description
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr id="itemPlaceholder" runat="server">
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <td colspan="4">
                                            <telerik:RadDataPager ID="RadDataPager1" runat="server" Skin="Web20">
                                                <Fields>
                                                    <telerik:RadDataPagerButtonField FieldType="Numeric" />
                                                </Fields>
                                            </telerik:RadDataPager>
                                        </td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </LayoutTemplate>
                    <SelectedItemTemplate>
                        <tr class="rlvISel">
                            <td>
                                <asp:Button ID="DeselectButton" runat="server" CommandName="Deselect" CssClass="rlvBSel"
                                    Text=" " />
                                <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" CssClass="rlvBDel"
                                    Text=" " />
                                <asp:Button ID="EditButton" runat="server" CommandName="Edit" CssClass="rlvBEdit"
                                    Text=" " />
                            </td>
                            <td>
                                <asp:Label ID="CategoryIDLabel" runat="server" Text='<%# Eval("CategoryID") %>' />
                            </td>
                            <td>
                                <asp:Label ID="CategoryNameLabel" runat="server" Text='<%# Eval("CategoryName") %>' />
                            </td>
                            <td>
                                <asp:Label ID="DescriptionLabel" runat="server" Text='<%# Eval("Description") %>' />
                            </td>
                        </tr>
                    </SelectedItemTemplate>
                </telerik:RadListView>
                <asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="NorthwindDataContext"
                    Select="new (CategoryID, CategoryName, Description)" TableName="Categories">
                </asp:LinqDataSource>
            </telerik:RadPageView>
            <telerik:RadPageView runat="server" ID="RadPageView2">
                <telerik:RadListView runat="server" ID="RadListView2" AllowPaging="True" DataSourceID="LinqDataSource2"
                    Skin="Outlook">                    
                    <EditItemTemplate>
                        <tr class="rlvIEdit">
                            <td colspan="6">
                                <table cellspacing="0" class="rlvEditTable">
                                    <tr>
                                        <td>
                                            <asp:Label ID="ProductIDLabel2" runat="server" AssociatedControlID="ProductIDTextBox"
                                                Text="ProductID"></asp:Label>
                                        </td>
                                        <td>
                                            <telerik:RadNumericTextBox ID="ProductIDTextBox" runat="server" DbValue='<%# Bind("ProductID") %>'
                                                Skin="<%#Container.OwnerListView.Skin %>" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="ProductNameLabel2" runat="server" AssociatedControlID="ProductNameTextBox"
                                                Text="ProductName"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="ProductNameTextBox" runat="server" CssClass="rlvInput" Text='<%# Bind("ProductName") %>' />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="QuantityPerUnitLabel2" runat="server" AssociatedControlID="QuantityPerUnitTextBox"
                                                Text="QuantityPerUnit"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="QuantityPerUnitTextBox" runat="server" CssClass="rlvInput" Text='<%# Bind("QuantityPerUnit") %>' />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="UnitPriceLabel2" runat="server" AssociatedControlID="UnitPriceTextBox"
                                                Text="UnitPrice"></asp:Label>
                                        </td>
                                        <td>
                                            <telerik:RadNumericTextBox ID="UnitPriceTextBox" runat="server" DbValue='<%# Bind("UnitPrice") %>'
                                                Skin="<%#Container.OwnerListView.Skin %>" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="UnitsInStockLabel2" runat="server" AssociatedControlID="UnitsInStockTextBox"
                                                Text="UnitsInStock"></asp:Label>
                                        </td>
                                        <td>
                                            <telerik:RadNumericTextBox ID="UnitsInStockTextBox" runat="server" DbValue='<%# Bind("UnitsInStock") %>'
                                                Skin="<%#Container.OwnerListView.Skin %>" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <asp:Button ID="UpdateButton" runat="server" CommandName="Update" CssClass="rlvBUpdate"
                                                Text=" " />
                                            <asp:Button ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                                CssClass="rlvBCancel" Text=" " />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </EditItemTemplate>                    
                    <ItemTemplate>
                        <tr class="rlvI">
                            <td>
                                <asp:Button ID="SelectButton" runat="server" CommandName="Select" CssClass="rlvBSel"
                                    Text=" " />
                                <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" CssClass="rlvBDel"
                                    Text=" " />
                                <asp:Button ID="EditButton" runat="server" CommandName="Edit" CssClass="rlvBEdit"
                                    Text=" " />
                            </td>
                            <td>
                                <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                            </td>
                            <td>
                                <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Eval("ProductName") %>' />
                            </td>
                            <td>
                                <asp:Label ID="QuantityPerUnitLabel" runat="server" Text='<%# Eval("QuantityPerUnit") %>' />
                            </td>
                            <td>
                                <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                            </td>
                            <td>
                                <asp:Label ID="UnitsInStockLabel" runat="server" Text='<%# Eval("UnitsInStock") %>' />
                            </td>
                        </tr>
                    </ItemTemplate>
                    <EmptyDataTemplate>
                        <div class="RadListView RadListView_Outlook">
                            <div class="rlvEmpty">
                                There are no items to be displayed.</div>
                        </div>
                    </EmptyDataTemplate>
                    <LayoutTemplate>
                        <div class="RadListView RadListView_Outlook">
                            <table cellspacing="0" style="width: 100%;">
                                <thead>
                                    <tr class="rlvHeader">
                                        <th>
                                            &nbsp;
                                        </th>
                                        <th>
                                            ProductID
                                        </th>
                                        <th>
                                            ProductName
                                        </th>
                                        <th>
                                            QuantityPerUnit
                                        </th>
                                        <th>
                                            UnitPrice
                                        </th>
                                        <th>
                                            UnitsInStock
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr id="itemPlaceholder" runat="server">
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <td colspan="6">
                                            <telerik:RadDataPager ID="RadDataPager1" runat="server" Skin="Outlook">
                                                <Fields>
                                                    <telerik:RadDataPagerButtonField FieldType="Numeric" />
                                                </Fields>
                                            </telerik:RadDataPager>
                                        </td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </LayoutTemplate>
                    <SelectedItemTemplate>
                        <tr class="rlvISel">
                            <td>
                                <asp:Button ID="DeselectButton" runat="server" CommandName="Deselect" CssClass="rlvBSel"
                                    Text=" " />
                                <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" CssClass="rlvBDel"
                                    Text=" " />
                                <asp:Button ID="EditButton" runat="server" CommandName="Edit" CssClass="rlvBEdit"
                                    Text=" " />
                            </td>
                            <td>
                                <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                            </td>
                            <td>
                                <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Eval("ProductName") %>' />
                            </td>
                            <td>
                                <asp:Label ID="QuantityPerUnitLabel" runat="server" Text='<%# Eval("QuantityPerUnit") %>' />
                            </td>
                            <td>
                                <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                            </td>
                            <td>
                                <asp:Label ID="UnitsInStockLabel" runat="server" Text='<%# Eval("UnitsInStock") %>' />
                            </td>
                        </tr>
                    </SelectedItemTemplate>
                </telerik:RadListView>
                <asp:LinqDataSource ID="LinqDataSource2" runat="server" ContextTypeName="NorthwindDataContext"
                    Select="new (ProductID, ProductName, QuantityPerUnit, UnitPrice, UnitsInStock)"
                    TableName="Products">
                </asp:LinqDataSource>
            </telerik:RadPageView>
        </telerik:RadMultiPage>
    </div>
    </form>
</body>
</html>
